Skip to main content

Enrol API

Objective

The Enrol API is used to enrol users in the Monitoring DB.

info

The Monitoring DB will be separate from the Screening DB, as clients typically aim to monitor only successfully onboarded customers while screening all customers.

API URL

https://ind-engine.thomas.hyperverge.co/v1/amlMonitoringEnrol

API Endpoint

amlMonitoringEnrol

Overview

The API is RESTful and uses standard HTTP verbs and status codes. The responses are in JSON format and you should upload all images and files as form-data through a POST request.

Authentication

You need a unique pair of application ID (appId) and application key (appKey) from HyperVerge to verify your identity for accessing the API.

API Request Details

Method - POST

Headers

ParameterMandatory or OptionalDescriptionAllowed Values
content-type MandatoryThis parameter defines the media type for the request payloadapplication/json
appId MandatoryThe application identifier shared by HyperVerge. You can find the details in the dashboard's credentials tab.This should be a unique value
appKey MandatoryThe application key shared by HyperVerge. You can find the details in the dashboard's credentials tab.This should be a unique value
transactionIdMandatoryA unique identifier for tracking a user journeyThis should be both unique and easily associated with the user's journey in your application(s)

Input

The following table provides the complete information on the parameter used in the request body for the API calls.

ParameterDescriptionMandatory or OptionalAllowed ValuesDefault Value
customerIdRequest ID returned from the original AML Search API call. The default validity for this ID is 14 days, but can be configured according to your data retention requirements.MandatoryNot ApplicableNot Applicable

Request

The following code snippet demonstrates a standard curl request for the API:

curl --location --request POST 'https://ind-engine.thomas.hyperverge.co/v1/amlMonitoringEnrol' \
--header 'Content-Type: application/json' \
--header 'appId: <Enter_the_HyperVerge_appId>' \
--header 'appKey: <Enter_the_HyperVerge_appKey>' \
--header 'transactionId: <Enter_the_HyperVerge_transactionID>' \
--data '{
"customerId": "<Request_ID_of_the_original_AML_Search_Call>"
}'

Success Response

The following code snippet demonstrates a success response from the API:

{
"status": "success",
"statusCode": 200,
"result": {
"message": "Enrolled Successfully",
"enrolledCustomerId": "<ENROLLED_CUSTOMER_ID_GOES_HERE>"
}
}

Success Response Details

ParameterTypeDescription
messagestringA message describing the result
enrolledCustomerIdstringThe ID of the enrolled customer

Failure Responses

The following is a sample response when no matching record is found against the Customer ID:

{
"status": "failure",
"statusCode": 400,
"result": {
// This error can be thrown when the corresponding request and
// response data for requestID are not found
"message": "Invalid CustomerId. No records found."
}
}

Error Responses

The following is a sample response for a server error.

{
"message": "Internal Server Error",
"statusCode": 500,
"status": "failure"
}

Failure and Error Response Details

A failure or error response from the module contains a failure status, with a relavant status code and error message. The following table lists all error responses:

Status CodeError MessageError Description
400Missing required request parametersSome mandatory request parameters are missing in the API request made. Check if "customerId" is given in request body
400Customer ID already existsThe customerId already exists. Please pass a unique customerId with alphanumeric characters.
401Missing/Invalid credentialsThe appId/ appKey is missing or incorrect in the request headers
403Access DeniedPlease contact the HyperVerge team
500Internal Server ErrorPlease check the request headers or contact the HyperVerge team for resolution
Was this helpful?
Ask AIBeta
Hi! How can I help?
Ask me anything about HyperVerge products, APIs, and SDKs.
Try asking: